Method: dataproductsharing.v1.projects.catalogs.unpublishDataProduct

Unpublishes a Knowledge Catalog Data Product or Iceberg catalog share from SAP BDC.

HTTP request

POST https://biglake.googleapis.com/dataproductsharing/v1/{connectionCatalog=projects/*/catalogs/*}:unpublishDataProduct

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
connectionCatalog

string

Required. The Delta Sharing Catalog containing the SAP BDC enrollment config. Format: projects/{project}/catalogs/{catalog}

Request body

The request body contains data with the following structure:

JSON representation
{
  "share": string
}
Fields
share

string

Required. The name of the Share to unpublish from SAP BDC.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the connectionCatalog resource:

  • biglake.catalogs.update

Requires the following IAM permission on the catalog resource:

  • biglake.catalogs.get

For more information, see the IAM documentation.